#include <iostream>  // biblioteka do operacji wejścia/wyjścia
#include <fstream>   // biblioteka do obsługi plików
#include <string>    // biblioteka do obsługi ciągów znaków
#include <windows.h> // biblioteka dla funkcji systemowych windows (sleep)

using namespace std; // użycie przestrzeni nazw std

// funkcja do zapisywania danych do pliku
void zapiszDane() {
    string dane; // zmienna przechowująca dane do zapisania
    cout << "Podaj dane do zapisania: ";
    cin.ignore(); // ignorowanie znaku nowej linii z poprzedniego wejścia
    getline(cin, dane); // pobranie całej linii tekstu od użytkownika

    // otwarcie pliku w trybie dopisywania (ios::app)
    ofstream plik("dane.txt", ios::app);
    if (plik.is_open()) { // sprawdzenie czy plik został otwarty
        plik << dane << "\n"; // zapis danych do pliku
        plik.close(); // zamknięcie pliku
        cout << "Dane dopisane do pliku.\n";
        Sleep(2000); // opóźnienie 2 sekundy (2000 ms)
        system("cls"); // wyczyszczenie konsoli
    } else {
        cout << "Nie mozna otworzyc pliku do zapisu.\n";
    }
}

// funkcja do wyświetlania zawartości pliku
void wyswietlDane() {
    ifstream plik("dane.txt"); // otwarcie pliku do odczytu
    if (plik.is_open()) { // sprawdzenie czy plik został otwarty
        string linia; // zmienna przechowująca kolejne linie pliku
        cout << "Zawartosc pliku:\n";
        while (getline(plik, linia)) { // odczyt pliku linia po linii
            cout << linia << "\n"; // wyświetlenie linii
        }
        plik.close(); // zamknięcie pliku
    } else {
        cout << "Nie mozna otworzyc pliku do odczytu.\n";
    }
}

// główna funkcja programu
int main() {
    int wybor; // zmienna przechowująca wybór użytkownika

    // pętla menu programu
    do {
        // wyświetlenie opcji menu
        cout << "\nMENU:\n";
        cout << "1. Wpisz i zapisz dane\n";
        cout << "2. Wyswietl dane\n";
        cout << "3. Wyjdz\n";
        cout << "Wybor: ";
        cin >> wybor; // pobranie wyboru użytkownika

        // instrukcja switch dla obsługi wyboru
        switch (wybor) {
            case 1:
                system("cls"); // wyczyszczenie konsoli
                zapiszDane(); // wywołanie funkcji zapisu danych
                break;
            case 2:
                system("cls"); // wyczyszczenie konsoli
                wyswietlDane(); // wywołanie funkcji wyświetlania danych
                break;
            case 3:
                cout << "Wyjscie z programu.\n"; // komunikat wyjścia
                break;
            default:
                cout << "Niepoprawny wybor.\n"; // obsługa błędnego wyboru
        }

    } while (wybor != 3); // warunek kontynuacji pętli

    return 0; // zakończenie programu
}